%define	rhver	rh4

Summary:	The passwd utility for setting/changing passwords using PAM.
Name:		passwd
Group:		System Environment/Base
License:	BSD
Version:	0.70
Release:	2
Source:		passwd-%{version}.tar.bz2
Requires:	pam >= 0.59, /etc/pam.d/system-auth, libuser, compat-pwdb
BuildPrereq:	glib2-devel, libuser-devel, pam-devel
Buildroot:	%{_tmppath}/passwd-%{release}-root

%description
The passwd package contains a system utility (passwd) which sets
and/or changes passwords, using PAM (Pluggable Authentication
Modules).

%files
  %defattr(0444,root,root,0555)
  %doc %{_mandir}/man1/passwd.1*

  %attr(0400,root,root)	%config %{_sysconfdir}/pam.d/passwd
  %attr(4111,root,root)	%{_bindir}/passwd

%prep
%setup -q

%build
  %configure 
  make %{_smp_mflags} DEBUG= RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make install DESTDIR=$RPM_BUILD_ROOT bindir=%{_bindir} mandir=%{_mandir}
  strip $RPM_BUILD_ROOT%{_bindir}/passwd

  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/
  install passwd.pamd $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/passwd

  # Remove unpackaged files.
  rm -f $RPM_BUILD_ROOT/%{_bindir}/{chfn,chsh}
  rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/{chfn,chsh}.*

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 25 2005 Peter O'Hara <pete@guardiandigital.com>
- Version 0.70, Release 2
  - Upgrade to 0.70

* Tue Jun 29 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.69, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
